add_rules("mode.debug", "mode.release")

add_requires("glfw")
add_requires("glad", { configs = { static = true, api = "gl=4.6", profile = "core" } })

target("ember")
    set_kind("binary")
    set_languages("c++20")
    set_rundir(".")
    set_pcxxheader("src/pch.h")
    add_files("src/**.cpp")
    add_includedirs("src")
    add_packages("glfw", "glad")
